# Generated by Django 5.2.1 on 2025-05-28 03:41

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('django_career_app', '0004_remove_applicant_submission_date_and_more'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AddField(
            model_name='applicant',
            name='resume_markdown',
            field=models.TextField(blank=True, help_text="The applicant's resume content in Markdown format.", null=True),
        ),
        migrations.AlterField(
            model_name='applicant',
            name='current_title',
            field=models.CharField(blank=True, help_text="Applicant's current or most recent job title.", max_length=255, null=True),
        ),
        migrations.AlterField(
            model_name='applicant',
            name='email',
            field=models.EmailField(help_text='Email address of the applicant. Used for communication and potentially account linking.', max_length=254, unique=True),
        ),
        migrations.AlterField(
            model_name='applicant',
            name='full_name',
            field=models.CharField(help_text='Full name of the applicant.', max_length=255),
        ),
        migrations.AlterField(
            model_name='applicant',
            name='graduate_year',
            field=models.IntegerField(blank=True, help_text='Year of graduation for the latest degree.', null=True),
        ),
        migrations.AlterField(
            model_name='applicant',
            name='latest_degree',
            field=models.CharField(blank=True, help_text="Applicant's latest educational degree.", max_length=255, null=True),
        ),
        migrations.AlterField(
            model_name='applicant',
            name='latest_work_organization',
            field=models.CharField(blank=True, help_text="Applicant's current or most recent company/organization.", max_length=255, null=True),
        ),
        migrations.AlterField(
            model_name='applicant',
            name='linkedin_profile',
            field=models.URLField(blank=True, help_text="URL to the applicant's LinkedIn profile.", null=True),
        ),
        migrations.AlterField(
            model_name='applicant',
            name='major',
            field=models.CharField(blank=True, help_text='Major or field of study for the latest degree.', max_length=255, null=True),
        ),
        migrations.AlterField(
            model_name='applicant',
            name='phone_number',
            field=models.CharField(blank=True, help_text='Contact phone number of the applicant.', max_length=20, null=True),
        ),
        migrations.AlterField(
            model_name='applicant',
            name='resume_pdf',
            field=models.FileField(blank=True, help_text="Stores the applicant's resume file (PDF format preferred).", null=True, upload_to='resumes/'),
        ),
        migrations.AlterField(
            model_name='applicant',
            name='school',
            field=models.CharField(blank=True, help_text='School or university for the latest degree.', max_length=255, null=True),
        ),
        migrations.AlterField(
            model_name='applicant',
            name='tags',
            field=models.ManyToManyField(blank=True, help_text='Tags associated with the applicant, like skills or keywords.', to='django_career_app.tag'),
        ),
        migrations.AlterField(
            model_name='applicant',
            name='user',
            field=models.OneToOneField(blank=True, help_text='Links to the Django User model for authentication and profile management.', null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='application',
            name='ai_score',
            field=models.FloatField(blank=True, help_text='AI-calculated score for this specific application, based on resume fit to job description and requirements.', null=True),
        ),
        migrations.AlterField(
            model_name='application',
            name='application_date',
            field=models.DateTimeField(auto_now_add=True, help_text='Timestamp of when the application was submitted.'),
        ),
        migrations.AlterField(
            model_name='application',
            name='job_posting',
            field=models.ForeignKey(help_text='The job posting this application is for.', on_delete=django.db.models.deletion.CASCADE, to='django_career_app.jobposting'),
        ),
        migrations.AlterField(
            model_name='application',
            name='user',
            field=models.ForeignKey(help_text='The user who submitted this application.', on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='companyprofile',
            name='description',
            field=models.TextField(help_text='A general description of the company.'),
        ),
        migrations.AlterField(
            model_name='jobposting',
            name='date_posted',
            field=models.DateTimeField(auto_now_add=True, help_text='Date when the job posting was created.'),
        ),
        migrations.AlterField(
            model_name='jobposting',
            name='deadline',
            field=models.DateTimeField(blank=True, help_text='Optional deadline for applications.', null=True),
        ),
        migrations.AlterField(
            model_name='jobposting',
            name='department',
            field=models.CharField(blank=True, help_text='Department offering the job (e.g., Engineering, Marketing).', max_length=255, null=True),
        ),
        migrations.AlterField(
            model_name='jobposting',
            name='description',
            field=models.TextField(help_text='Detailed description of the job, responsibilities, and qualifications.'),
        ),
        migrations.AlterField(
            model_name='jobposting',
            name='is_active',
            field=models.BooleanField(default=True, help_text='Indicates if the job posting is currently active and accepting applications.'),
        ),
        migrations.AlterField(
            model_name='jobposting',
            name='location',
            field=models.CharField(help_text='Location of the job (e.g., City, State, Remote).', max_length=255),
        ),
        migrations.AlterField(
            model_name='jobposting',
            name='title',
            field=models.CharField(help_text='The title of the job posting (e.g., Software Engineer).', max_length=255),
        ),
        migrations.AlterField(
            model_name='jobrequirement',
            name='job_posting',
            field=models.ForeignKey(help_text='The job posting these requirements belong to.', on_delete=django.db.models.deletion.CASCADE, related_name='requirements', to='django_career_app.jobposting'),
        ),
        migrations.AlterField(
            model_name='jobrequirement',
            name='name',
            field=models.CharField(help_text='Name of the requirement (e.g., Python, Communication Skills).', max_length=255),
        ),
        migrations.AlterField(
            model_name='jobrequirement',
            name='weight',
            field=models.FloatField(help_text='Weight of this requirement for scoring (e.g., 0.0 to 1.0).'),
        ),
        migrations.AlterField(
            model_name='tag',
            name='name',
            field=models.CharField(help_text="The name of the tag (e.g., 'python', 'project management'). Normalized to lowercase.", max_length=100, unique=True),
        ),
    ]
